> ## Documentation Index
> Fetch the complete documentation index at: https://docs.watchr.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a review by a user



## OpenAPI

````yaml /api-reference/openapi.json post /reviews
openapi: 3.1.0
info:
  title: Watchr
  version: 0.0.0
servers: []
security: []
paths:
  /reviews:
    post:
      tags:
        - Reviews
      summary: Create a review by a user
      operationId: post_reviews
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReviewCreate'
              description: Content of the review.
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: string
                title: Response Post Reviews
                description: Unique Identifier of a review
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ReviewCreate:
      properties:
        movie_id:
          type: string
          title: Movie Id
          description: Unique Identifier of a movie
        author_id:
          type: integer
          title: Author Id
          description: Unique Identifier of a user
        content:
          type: string
          title: Content
      type: object
      required:
        - movie_id
        - author_id
        - content
      title: ReviewCreate
      description: Class for POST of a Review
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````